[ic] DBD::mysql install problems

Jordan M. Adler jordan at endpoint.com
Wed Mar 5 14:37:20 EST 2008

On Wed, 05 Mar 2008 14:06:09 -0500
DB <DB at M-and-D.com> wrote:
> I have a fresh install of Centos 5.1 on a multi-cpu 64-bit machine.
> I've installed a separate perl 5.8.8 without threads. A 'which perl'
> gives me /usr/local/bin/perl
> perl -MCPAN -e 'install "DBD::mysql"' fails with:

I would try to use the CentOS packages, if they are available.  I would
imagine that DBI and DBD::mysql are existing CentOS packages, unless
CentOS requires its users to use cpan(1), in which case I would
recommend you do more research.  A quick google search turns up an old
(April 2002) Usenet posting regarding this error, which was fixed in a
later version of DBD::mysql[1].

Therefore, your issue would most likely be solved by getting a modern
version of DBD::mysql.  Where did you get 2.1012 from, anyways?  You
should be using the cpan shell, or at least the CPAN module.

cpan> install DBI
cpan> install DBD::mysql
cpan> r # optionally upgrade old packages

The error you received when attempting installation of DBD::mysql would
indicated that DBI was not installed, or was not installed to the
proper location.  If that was the case, make sure you're using the
right perl and that it's looking in the right location for modules (perl

For future reference, it is considered good etiquette to seek support
through the appropriate channels.  This is not really an IC issue, and
I would first try either your vendor (CentOS) or the package
maintainer(s) (DBD ML).

[1] http://www.nntp.perl.org/group/perl.makemaker/2002/04/msg327.html

Jordan M. Adler
End Point Corporation
jordan at endpoint.com

More information about the interchange-users mailing list